> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List mandate logs

> Retrieves the paginated request/response logs from the mandate provider for a given mandate. Use the optional `debit_schedule_id` query parameter to filter to a specific debit attempt.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /customers/{customer_id}/mandates/{mandate_id}/logs
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/{customer_id}/mandates/{mandate_id}/logs:
    parameters:
      - name: customer_id
        in: path
        description: Customer Id
        required: true
        schema:
          type: string
      - name: mandate_id
        in: path
        description: Mandate Id
        required: true
        schema:
          type: string
    get:
      tags:
        - Customers
      summary: List mandate logs
      description: >-
        Retrieves the paginated request/response logs from the mandate provider
        for a given mandate. Use the optional `debit_schedule_id` query
        parameter to filter to a specific debit attempt.
      operationId: list-customer-mandate-logs
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - name: debit_schedule_id
          in: query
          description: Filter logs to a specific `MandateDebitSchedule` ID.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      mandate_logs:
                        type: array
                        items:
                          $ref: '#/components/schemas/MandateLog'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    required:
                      - mandate_logs
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
  schemas:
    MandateLog:
      title: MandateLog
      type: object
      required:
        - mandate_id
        - status
        - timestamp
        - retry_attempt
        - store_id
        - created_at
        - modified_at
      properties:
        mandate_id:
          description: ID of the parent `CustomerMandate`.
          type: string
        debit_schedule_id:
          description: >-
            ID of the related `MandateDebitSchedule`. `null` for logs not tied
            to a specific debit attempt.
          type:
            - string
            - 'null'
        status:
          type: string
          enum:
            - success
            - failed
        timestamp:
          type: string
          format: date-time
        endpoint:
          description: Mandate provider endpoint that was invoked.
          type:
            - string
            - 'null'
        request_headers:
          description: Headers sent to the mandate provider. Sensitive values are masked.
          type:
            - object
            - 'null'
          additionalProperties: true
        request_body:
          description: Payload sent to the mandate provider.
          type:
            - object
            - 'null'
          additionalProperties: true
        response_code:
          description: HTTP status code returned by the mandate provider.
          type:
            - integer
            - 'null'
        response_body:
          description: Raw response body returned by the mandate provider.
          type:
            - string
            - 'null'
        response_headers:
          type:
            - object
            - 'null'
          additionalProperties: true
        duration_ms:
          description: Round-trip duration of the call in milliseconds.
          type:
            - integer
            - 'null'
        retry_attempt:
          type: integer
        next_retry_at:
          description: Time at which the next retry will be attempted.
          type:
            - string
            - 'null'
          format: date-time
        error_code:
          description: Error code returned by the mandate provider.
          type:
            - string
            - 'null'
        error_message:
          description: Error message returned by the mandate provider.
          type:
            - string
            - 'null'
        store_id:
          type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````